Bug 84535 - EDITING: in Portable Writer the AutoCorrect includes Local Options with some documents, but not others
Summary: EDITING: in Portable Writer the AutoCorrect includes Local Options with some ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2014-09-30 22:09 UTC by John van Someren
Modified: 2019-02-09 20:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the document that won't AutoCorrect (23.66 KB, application/vnd.oasis.opendocument.text)
2014-09-30 22:09 UTC, John van Someren
Details
attachment-8772-0.html (4.16 KB, text/html)
2014-10-01 11:43 UTC, John van Someren
Details
attachment-8772-1.dat (1 bytes, multipart/alternative)
2014-10-01 11:43 UTC, John van Someren
Details
image[3].png (30.13 KB, image/png)
2014-10-01 11:43 UTC, John van Someren
Details
image[1].png (46.49 KB, image/png)
2014-10-01 11:43 UTC, John van Someren
Details
TestQuotes (portable).odt (9.74 KB, application/vnd.oasis.opendocument.text)
2014-10-01 11:43 UTC, John van Someren
Details
Testcase for the problem I described (17.97 KB, application/vnd.oasis.opendocument.text)
2015-12-20 17:50 UTC, John van Someren
Details
Contains the text which Writer did not Autocorrect (17.97 KB, application/vnd.oasis.opendocument.text)
2015-12-20 18:09 UTC, John van Someren
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John van Someren 2014-09-30 22:09:30 UTC
Created attachment 107157 [details]
This is the document that won't AutoCorrect

Problem description: 
In the last hour I have created two bug reports on this problem. It now turns out that the bug depends on which document is opened. Please ignore the two earlier ones.

I attach two files. "TestQuotes (portable).odt" was created this evening by typing a couple of lines *without* Auto Correct being applied as I type. I had the option to change straight quotes to curly ones set on, but it has the straight quotes you would expect.

"TestQuotes (portable)2.odt" was created a year or so ago by pasting a page from the internet into Writer and saving it. It also has the straight quotes. For part of its life it had a password, but this has been removed.

The first document, typed and saved not long ago, has the straight quotes converted to curly quotes when I Apply Auto Correct.

The second document, created by pasting text into a blank document, does *not* correct the straight quotes in the way I expect from the options.


              
Operating System: Windows 7
Version: 4.3.2.2 release
Comment 1 tommy27 2014-10-01 04:11:09 UTC
Hi John, you attached just "TestQuotes (portable)2.odt"

please upload the other file as well so we can better spot the difference.
Comment 2 John van Someren 2014-10-01 11:43:50 UTC
Created attachment 107177 [details]
attachment-8772-0.html

I wish I could help. I opened Bug 84535, clicked on the underlined link at the bottom
and browsed into the My Documents folder.I selected the other file, but when I Submitted (after completing description etc) I received this page.

So I tried again, taking care that my path to the document was untainted by invalid characters, and I  still got the same page.
I am attaching it to this email instead. I hope you can import it into the system from there.

tommy27 changed bug 84535
      What Removed Added
      CC    barta@quipo.it


Comment # 1 on bug 84535 from tommy27
Hi John, you attached just "TestQuotes (portable)2.odt"

please upload the other file as well so we can better spot the difference.
--------------------------------------------------------------------------------
You are receiving this mail because:
  a.. You reported the bug.


--------------------------------------------------------------------------------
This email has been scanned by Netintelligence
http://www.netintelligence.com/email

--------------------------------------------------------------------------------


---
This email is free from viruses and malware because avast! Antivirus protection is active.
http://www.avast.com
Comment 3 John van Someren 2014-10-01 11:43:50 UTC
Created attachment 107178 [details]
attachment-8772-1.dat
Comment 4 John van Someren 2014-10-01 11:43:50 UTC
Created attachment 107179 [details]
image[3].png
Comment 5 John van Someren 2014-10-01 11:43:50 UTC
Created attachment 107180 [details]
image[1].png
Comment 6 John van Someren 2014-10-01 11:43:50 UTC
Created attachment 107181 [details]
attachment-8772-2.dat
Comment 7 John van Someren 2014-10-01 11:43:50 UTC
Created attachment 107182 [details]
TestQuotes (portable).odt
Comment 8 Buovjaga 2014-11-14 17:17:59 UTC
Reproduced with Format - Autocorrect - Apply.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 9 QA Administrators 2015-12-20 16:18:52 UTC Comment hidden (obsolete)
Comment 10 John van Someren 2015-12-20 17:50:41 UTC
Created attachment 121445 [details]
Testcase for the problem I described

This document is all that you need (I believe) to show how to recreate bug 84535
Comment 11 John van Someren 2015-12-20 18:09:49 UTC
Created attachment 121446 [details]
Contains the text which Writer did not Autocorrect

Possible duplicate attachment.
Comment 12 John van Someren 2015-12-20 18:16:01 UTC
I will NEVER get the hang of this web site...

I downloaded text from a web siteso that I could see it in screen. I chose The Adventures of Huckleberry Fin from www.gutenberg.org/ebooks/76, viewed using Google Chrome.  I selected several paragraphs, Copy'd then and pasted them into a New Writer document.

I made sure that Format | Autocorrect was set to change straight single and double quotes to curly ones and selected Format | Autocorrect | Apply.

Writer did not apply the autocorrect changes for the quotes.

This bug is also present in the standard version as well as the Portable version. 

Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: en-GB (en_GB)
Comment 13 QA Administrators 2017-01-03 19:50:19 UTC Comment hidden (obsolete)
Comment 14 John van Someren 2017-01-03 21:33:33 UTC
I have tested the original issue on version5.2.2.2 of LO running under Windows 10 (64 bit) and it is still there, unchanged as far as I can see.

Here is something new, which I didn't motice before: when spell check finds an error in a word with an 'apostrophe s' at the end it offers the correction including the apostrophe s. I had mis-spelled the word: neice's.  

However, if you are typing with straight quotes being converted to smart quotes then spell check ignores this option. The replacement word is inserted into your text with the straight apostrophe without it being converted.

This leaves the text needing additional manual correction. I believe that this behaviour converts my original issue into a bug.
Comment 15 QA Administrators 2018-01-04 03:34:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug